<?
include 'system/functions.php';
if(check_smartphone())
{

echo'<center>ERROR 404<br/><a href="/">HOME</a></center>';

}else{?>




<!DOCTYPE html>
<html>

<head>

  <meta charset="UTF-8">

  <title>ERROR 404
  </title>



</head>

<body>

  <body></body>

  <script src="http:"></script>

  <script src='/system/js/dat.gui.min.js'></script>

  <script>
(function() {

var GoogleForce = {}; 

;(function(GoogleForce, undefined) {

	var self = window.GoogleForce || {}, canvas, context, coords = { x: -99999, y: -99999 }, dots = [], dirtyRegions = [], energyLoss = 0.5, mouseDown = false, FPS = 60;

	// Dat GUI default values
	var force = 15, color = '#0000FF', bounds = true;

	/*
	 * Settings.
	 */

	var Settings = function() {

		this.force = 20;
		this.color = '#0087FF';
		this.bounds = true;

		this.changeForce = function(value) {

			force = value;

		};

		this.changeColor = function(value) {

			color = value;

		};

		this.enableBounds = function(value) {

			bounds = value;

		};

	};	

	/*
 	 * Init.
	 */

	self.init = function() {

		var settings = new Settings();
		var GUI = new dat.GUI();

		// Dat GUI main
		GUI.add(settings, 'force').min(1).max(100).onChange(settings.changeForce);
		GUI.addColor(settings, 'color').onChange(settings.changeColor);
		GUI.add(settings, 'bounds').onChange(settings.enableBounds);

		var body = document.querySelector('body');

		canvas = document.createElement('canvas');

		canvas.width = innerWidth;
		canvas.height = innerHeight;

		canvas.style.backgroundColor = '#000';
		canvas.style.position = 'absolute';
		canvas.style.left = 0;
		canvas.style.bottom = 0;
		canvas.style.left = 0;
		canvas.style.right = 0;
		canvas.style.zIndex = -1;
		canvas.style.cursor = 'crosshair';

		canvas.style.background = '-webkit-radial-gradient(rgb(255, 255, 0), orange)';
    	canvas.style.background = '-moz-radial-gradient(rgb(255, 255, 0), orange)';
    	canvas.style.background = '-ms-radial-gradient(rgb(255, 255, 0), orange)';
    	canvas.style.background = '-o-radial-gradient(rgb(255, 255, 0), orange)';
    	canvas.style.background = 'radial-gradient(rgb(255, 255, 0), orange)';

        body.appendChild(canvas);

		// Browser supports canvas?
		if(!!(self.gotSupport())) {

			context = canvas.getContext('2d');

			// Events
			if('ontouchstart' in window) {

        document.addEventListener('touchstart', self.onTouchStart, false);
				document.addEventListener('touchend', self.onTouchEnd, false);
				document.addEventListener('touchmove', self.onTouchMove, false);

			}	

			else {

				document.addEventListener('mousedown', self.onMouseDown, false);
				document.addEventListener('mouseup', self.onMouseUp, false);
				document.addEventListener('mousemove', self.onMouseMove, false);

			}

			window.onresize = onResize;

			self.buildTexture();

		}

		else {

			console.error('Please, update your browser for seeing this animation.');

		}

	};

	/*
	 * On resize window event.
	 */

	function onResize() {

		canvas.width = window.innerWidth;
		canvas.height = window.innerHeight;

	}

	/*
	 * Checks if browser supports canvas element.
	 */

	self.gotSupport = function() {

		return canvas.getContext && canvas.getContext('2d');

	};

	/*
	 * Mouse down event.
	 */

	self.onMouseDown = function(event) {

		event.preventDefault();

		coords.x = event.pageX - canvas.offsetLeft;
		coords.y = event.pageY - canvas.offsetTop;

		mouseDown = true;

	};

	/*
	 * Mouse up event.
	 */

	self.onMouseUp = function(event) {

		event.preventDefault();

		coords = { x: -99999, y: -99999 };

		mouseDown = false;

	};

	/*
	 * Mouse up event.
	 */

	self.onMouseMove = function(event) {

		event.preventDefault();

		if(!!mouseDown) {

			coords.x = event.pageX - canvas.offsetLeft;
			coords.y = event.pageY - canvas.offsetTop;

		}

	};

	/*
	 * Touch start event.
	 */

	self.onTouchStart = function(event) {

		event.preventDefault();

		coords.x = event.touches[0].pageX - canvas.offsetLeft;
		coords.y = event.touches[0].pageY - canvas.offsetTop;

		mouseDown = true;

	};

	/*
	 * Touch end event.
	 */

	self.onTouchEnd = function(event) {

		event.preventDefault();

		coords = { x: -99999, y: -99999 };

		mouseDown = false;

	};	

	/*
	 * Touch move event.
	 */

	self.onTouchMove = function(event) {

		event.preventDefault();

		if(!!mouseDown) {

			coords.x = event.touches[0].pageX - canvas.offsetLeft;
			coords.y = event.touches[0].pageY - canvas.offsetTop;

		}

	};

	/*
	 * Building texture.
	 */

	self.buildTexture = function() {

		// Let's start by drawing the original texture
		if(dots.length === 0) {

			context.font =  canvas.width / 8 + 'px Arial';
			context.fillStyle = 'rgb(255, 255, 255)';		
			context.textAlign = 'center';
			context.fillText('ERROR 404', canvas.width / 2, canvas.height / 2);

			var surface = context.getImageData(0, 0, canvas.width, canvas.height);

			context.clearRect(0, 0, canvas.width, canvas.height);

			for(var width = 0, len1 = surface.width; width < len1; width += 12) {

				for(var height = 0, len2 = surface.height; height < len2; height += 12) {

					var color = surface.data[(height * surface.width * 4) + (width * 4) - 1];

					// The pixel color is white? So draw on it...
					if(color === 255) {

						var radius = 5 + Math.random() * 5;

						dots.push({

							x: width,
							y: height,
							vx: 0,
							vy: 0,
							goalX: width,
							goalY: height,
							radius: radius

						});

						dirtyRegions.push({

							x: width,
							y: height,
							radius: radius

						});

					}

				}

			}

		}

		// Logic
		self.clear();
		self.update();
		self.render();

		requestAnimFrame(self.buildTexture);

	};

	/*
	 * Clear only dirty regions.
	 */

	self.clear = function() {

		[].forEach.call(dirtyRegions, function(dirty, index) {

			var x, y, width, height;

			width = (2 * dirty.radius) + 4;
            height = width;

            x = dirty.x - (width / 2);
			y = dirty.y - (height / 2);

			context.clearRect(Math.floor(x), Math.floor(y), Math.ceil(width), Math.ceil(height));

		});

	};

	/*
	 * Let's update the dots.
	 */

	self.update = function() {

		[].forEach.call(dots, function(dot, index) {

			dot.x += dot.vx;
			dot.y += dot.vy;

			dot.radius = Math.max(dot.radius - 0.1, 2) === 2 ? 5 + Math.random() * 5 : dot.radius -= 0.1;

			// Tick
			dot.x > dot.goalX ? dot.vx -= 0.02 : dot.vx += 0.02;
			dot.y > dot.goalY ? dot.vy -= 0.02 : dot.vy += 0.02;

			var dx = self.distanceTo(dot).dx;
			var dy = self.distanceTo(dot).dy;

			var distance = Math.sqrt(dx * dx + dy * dy);

			var totalDistance = dx + dy;

			// Mouse/Touch force
			var global = {

				forceX: (dx / totalDistance) * (1 / distance) * force,
				forceY: (dy / totalDistance) * (1 / distance) * force

			};

			// Tick + mouse/touch force
			dx > 0 ? dot.vx += global.forceX : ball.vx -= global.forceX;
			dy > 0 ? dot.vy += global.forceY : ball.vy -= global.forceY;

			// Restore force
			dot.vx > 0 ? dot.vx -= 0.01 : dot.vx += 0.01;
			dot.vy > 0 ? dot.vy -= 0.01 : dot.vy += 0.01;

			if(!!bounds) {

				// Right bounds
				if(dot.x > canvas.width - dot.radius) {

					dot.x = canvas.width - dot.radius;
					dot.vx *= -1;
					dot.vx *= energyLoss;

				}

				// Bottom bounds
				if(dot.y > canvas.height - dot.radius) {

					dot.y = canvas.height - dot.radius;
					dot.vy *= -1;
					dot.vy *= energyLoss;

				}

				// Left bounds
				if(dot.x < dot.radius) {

					dot.x = dot.radius;
					dot.vx *= -1;
					dot.vx *= energyLoss;

				}

				// Top bounds
				if(dot.y < dot.radius) {

					dot.y = dot.radius;
					dot.vy *= -1;
					dot.vy *= energyLoss;

				}

			}

		});

	};

	/*
	 * Let's render the dots.
	 */

	self.render = function() {

		[].forEach.call(dots, function(dot, index) {

			context.save();
			context.beginPath();
			context.fillStyle = color;
			context.translate(dot.x, dot.y);
			context.arc(0, 0, dot.radius, 0, Math.PI * 2);
			context.fill();
			context.closePath();
			context.restore();

			// Dirty regions
			dirtyRegions[index].x = dot.x;
			dirtyRegions[index].y = dot.y;
			dirtyRegions[index].radius = dot.radius;

		});

	};

	/*
	 * Distance between two points.
	 */

	self.distanceTo = function(dot) {

		var dx = Math.abs(dot.x - coords.x);
		var dy = Math.abs(dot.y - coords.y);

		return {

			dx: dx,
			dy: dy

		};

	};

	/*
	 * Request new frame by Paul Irish.
	 * 60 FPS.
	 */

	window.requestAnimFrame = (function() {

		return  window.requestAnimationFrame       || 
				window.webkitRequestAnimationFrame || 
				window.mozRequestAnimationFrame    || 
				window.oRequestAnimationFrame      || 
				window.msRequestAnimationFrame     || 

				function(callback) {

					window.setTimeout(callback, 1000 / FPS);

				};

    	})();

	window.addEventListener ? window.addEventListener('load', self.init, false) : window.onload = self.init;

})(GoogleForce);

})();
  </script>

</body>

</html>
<?
}
?>







